Jump to content

  • Log In with Google      Sign In   
  • Create Account

screenshot showdown

Am I Mooe~? @prerisoft

Rainy Seattle
http://t.co/SMUON1oMCx
For those of you looking to update your Kingston, Crucial or other Sandforce-based SSDs from Linux, use a pre-3.5 kernel! This is my PSA!

Description
Coder, tinker, doodler, minotaur monstergirl, dirty rotten fujoshi that's obsessed with fairies. I made a shmup called Sky Eraser!

PARTNERS